### Function

# RB RhythmDBQueryModel artist_sort_func

#### Declaration [src]

    gint
    rhythmdb_query_model_artist_sort_func (
      RhythmDBEntry* a,
      RhythmDBEntry* b,
      gpointer data
    )

#### Description [src]

Sort function for sorting by artist. Sorts by artist, then album, then disc number, then track number, then title.

#### Parameters

`a`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry`.

  The data is owned by the caller of the function.

`b`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  Nothing.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

Result of sort comparison between a and b.